MHashKeyGen Class Reference

`#include <MHashKeyGen.h>`

## Public Member Functions

| MHashKeyGen (void)
| MHashKeyGen (keygenid kgalgo, hashid halgo, unsigned int keysize)
| ~MHashKeyGen (void)
void | setKeySize (unsigned int KeySize)
void | setKeyGenAlgorithm (keygenid algo)
void | setHashAlgorithm (hashid hashalgo)
void | setHashAlgorithms (std::vector< hashid > hashalgos)
void | setSalt (std::vector< unsigned char > salt)
std::vector< unsigned char > | createKey (std::string password)

## Private Member Functions

void * | s_malloc (size_t size)

## Private Attributes

bool | ready
keygenid | Algorithm
KEYGEN | AlgorithmData
unsigned int | KeySize

## Constructor & Destructor Documentation

## MHashKeyGen() [1/2]

MHashKeyGen::MHashKeyGen | ( | void |  | ) |

## MHashKeyGen() [2/2]

MHashKeyGen::MHashKeyGen | ( | keygenid | kgalgo,
|  | hashid | halgo,
|  | unsigned int | keysize )

## ~MHashKeyGen()

MHashKeyGen::~MHashKeyGen | ( | void |  | ) |

## Member Function Documentation

## createKey()

std::vector< unsigned char > MHashKeyGen::createKey | ( | std::string | password | ) |

## s_malloc()

void * MHashKeyGen::s_malloc | ( | size_t | size | ) |

private

## setHashAlgorithm()

void MHashKeyGen::setHashAlgorithm | ( | hashid | hashalgo | ) |

## setHashAlgorithms()

void MHashKeyGen::setHashAlgorithms | ( | std::vector< hashid > | hashalgos | ) |

## setKeyGenAlgorithm()

void MHashKeyGen::setKeyGenAlgorithm | ( | keygenid | algo | ) |

## setKeySize()

void MHashKeyGen::setKeySize | ( | unsigned int | KeySize | ) |

## setSalt()

void MHashKeyGen::setSalt | ( | std::vector< unsigned char > | salt | ) |

## Member Data Documentation

## Algorithm

keygenid MHashKeyGen::Algorithm

private

## AlgorithmData

KEYGEN MHashKeyGen::AlgorithmData

private

## KeySize

unsigned int MHashKeyGen::KeySize

private

## ready

bool MHashKeyGen::ready

private

The documentation for this class was generated from the following files:

- MHashKeyGen.h
- MHashKeyGen.cc